Extending Qt Creator Manual | BuildStepConfigWidget

Extending Qt Creator Manual 4.5.2

# BuildStepConfigWidget Class

(ProjectExplorer::BuildStepConfigWidget)

- List of all members, including inherited members

## Public Functions

virtual QString | additionalSummaryText() const
virtual QString | displayName() const = 0
virtual bool | showWidget() const
virtual QString | summaryText() const = 0

## Signals

void | updateAdditionalSummary()
void | updateSummary()

## Member Function Documentation

### `[virtual]` QString BuildStepConfigWidget::additionalSummaryText() const

### `[pure virtual]` QString BuildStepConfigWidget::displayName() const

### `[virtual]` bool BuildStepConfigWidget::showWidget() const

### `[pure virtual]` QString BuildStepConfigWidget::summaryText() const

### `[signal]` void BuildStepConfigWidget::updateAdditionalSummary()

### `[signal]` void BuildStepConfigWidget::updateSummary()